Loading...
Searching...
No Matches
phi_exact

## Detailed Description

Examples
  transport_dg2.h, zalesak.h, zalesak_circle.h, zalesak_dg.cc, and zalesak_dg_error.cc.

Definition at line 30 of file transport_dg2.h.

## Public Member Functions

Float | operator() (const point &x) const
| phi_exact (Float w1)
Float | operator() (const point &x) const
| phi_exact (Float t1)
Float | perimeter () const
Float | operator() (const point &x) const
Float | perimeter () const
| phi_exact (float t1)

## Public Attributes

Float | w

## Protected Attributes

Float | t
Float | x2
Float | y2
Float | x3
Float | y3
Float | x4
Float | y4
Float | x5
Float | y5

## Static Protected Attributes

static constexpr Float | xc = 0.5
static constexpr Float | yc = 0.5
static constexpr Float | x0 = 0.50
static constexpr Float | y0 = 0.75
static constexpr Float | r = 0.15
static constexpr Float | w = 0.05
static constexpr Float | l = 0.25
static constexpr Float | xr = 0.5
static constexpr Float | yr = 0.5

## Constructor & Destructor Documentation

## phi_exact() [1/3]

phi_exact | ( | Float | w1 | ) |

Examples
  zalesak.h.

Definition at line 32 of file transport_dg2.h.

## phi_exact() [2/3]

phi_exact | ( | Float | t1 | ) |

## phi_exact() [3/3]

phi_exact | ( | float | t1 | ) |

Definition at line 46 of file zalesak_circle.h.

## Member Function Documentation

## operator()() [1/3]

Float operator() | ( | const point & | x | ) | const

Examples
  transport_dg2.h, zalesak.h, and zalesak_circle.h.

Definition at line 31 of file transport_dg2.h.

## operator()() [2/3]

Float operator() | ( | const point & | x | ) | const

Definition at line 40 of file zalesak.h.

## perimeter() [1/2]

Float perimeter | ( |  | ) | const

Examples
  zalesak.h, zalesak_circle.h, and zalesak_dg_error.cc.

Definition at line 82 of file zalesak.h.

## operator()() [3/3]

Float operator() | ( | const point & | x | ) | const

Definition at line 40 of file zalesak_circle.h.

## perimeter() [2/2]

Float perimeter | ( |  | ) | const

Definition at line 45 of file zalesak_circle.h.

## Member Data Documentation

## w [1/2]

Float w

Examples
  transport_dg2.h, and zalesak.h.

Definition at line 33 of file transport_dg2.h.

## t

Float t

protected

Examples
  zalesak.h, and zalesak_circle.h.

Definition at line 92 of file zalesak.h.

## x2

Float x2

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## y2

Float y2

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## x3

Float x3

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## y3

Float y3

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## x4

Float x4

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## y4

Float y4

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## x5

Float x5

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## y5

Float y5

protected

Examples
  zalesak.h.

Definition at line 92 of file zalesak.h.

## xc

constexpr Float xc = 0.5

static constexpr protected

Examples
  zalesak.h.

Definition at line 94 of file zalesak.h.

## yc

constexpr Float yc = 0.5

static protected

Examples
  zalesak.h.

Definition at line 95 of file zalesak.h.

## x0

static constexpr Float x0 = 0.50

static protected

Examples
  zalesak.h, and zalesak_circle.h.

Definition at line 96 of file zalesak.h.

## y0

static constexpr Float y0 = 0.75

static protected

Examples
  zalesak.h, and zalesak_circle.h.

Definition at line 97 of file zalesak.h.

## r

static constexpr Float r = 0.15

static protected

Examples
  zalesak.h, and zalesak_circle.h.

Definition at line 98 of file zalesak.h.

## w [2/2]

constexpr Float w = 0.05

static protected

Definition at line 99 of file zalesak.h.

## l

constexpr Float l = 0.25

static protected

Examples
  zalesak.h.

Definition at line 100 of file zalesak.h.

## xr

constexpr Float xr = 0.5

static constexpr protected

Examples
  zalesak_circle.h.

Definition at line 49 of file zalesak_circle.h.

## yr

constexpr Float yr = 0.5

static protected

Examples
  zalesak_circle.h.

Definition at line 50 of file zalesak_circle.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/transport_dg2.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/zalesak.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/zalesak_circle.h